Skip to content

getApiKeys

READ

Get api keys.

POST /api/v1/settings/getApiKeys
curl -X POST '<your-host>/api/v1/settings/getApiKeys' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "expiresAt": "string",
      "id": "string",
      "keyHash": "string",
      "keyPreview": "string",
      "lastUsedAt": "string",
      "name": "string",
      "rateLimit": 0,
      "rateLimitWindow": "string",
      "scopes": "…",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}